Lykos Lykos - 6 months ago 311
PHP Question

Laravel npm install getting warnings - npm WARN deprecated graceful-fs

I'm new to Laravel, so I'd like some help please. I'm following the training from Laracasts on how to manage css and js.

When I try to run

npm install
I get some warnings like

npm WARN install Couldn't install optional dependency: Unsupported


I also try to install gulp with
npm install --global gulp
, but I get this

npm WARN deprecated graceful-fs@3.0.8: graceful-fs v3.0.0 and before will fail on node releases >= v7.0. Please update to graceful-fs@^4.0.0 as soon as possible. Use 'npm ls graceful-fs' to find it in the tree.
npm WARN deprecated lodash@1.0.2: lodash@<3.0.0 is no longer maintained. Upgrade to lodash@^4.0.0.
npm WARN deprecated graceful-fs@1.2.3: graceful-fs v3.0.0 and before will fail on node releases >= v7.0. Please update to graceful-fs@^4.0.0 as soon as possible. Use 'npm ls graceful-fs' to find it in the tree.
npm WARN checkPermissions Missing write access to /usr/local/lib/node_modules


so basically if I try to run the
gulp
command I get the
No command 'gulp' found
from the command line.

Any ideas how to fix this?

Just some additional info: I'm on vm Ubuntu 14.04 and my node.js and npm versions are:

node -v
v5.4.1

npm -v
3.3.12


enter image description here

This is the error I get when I try to run
npm install --global gulp


enter image description here

Running
gulp
command

enter image description here

Answer

This npm WARN checkPermissions Missing write access to /usr/local/lib/node_modules clearly indicates that the user you are running npm install --global gulp with has no write access to /usr/local/lib/node_modules. Please make sure you have the proper write permissions - as mentioned in the comments check https://docs.npmjs.com/getting-started/fixing-npm-permissions

Comments